Summary:        Check validity of internet email address
Name:           perl-Email-Valid
Version:        1.202
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Email-Valid
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Email-Valid-%{version}.tar.gz
BuildRequires:  make perl-generators bind-utils
BuildRequires:  perl(Mail::Address), perl(Test::Pod), perl(Test::Pod::Coverage)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(Net::Domain::TLD) perl(Net::DNS)
BuildRequires:  perl(Scalar::Util) perl(Test::More) perl(Capture::Tiny) perl(IO::CaptureOutput)


BuildArch:      noarch

%description
This package provides feature that determines whether an email address
is well-formed, and optionally, whether a mail host exists for the domain
or whether the top level domain of the email address is valid.

%prep
%autosetup -n Email-Valid-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
%make_build test

%files
%doc Changes
%{perl_vendorlib}/Email/
%{_mandir}/man3/*.3*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.202-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.202-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 kianli@tencent.com - 1.202-5
- Rebuilt for bind 9.18.18

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.202-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.202-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.202-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 11 2022 Shuo Wang <abushwang@tencent.com> - 1.202-1
- initial build

